shishi_tkt2(3)

NAME
shishi_tkt2 - API function

SYNOPSIS
#include <shishi.h>

Shishi_tkt * shishi_tkt2(Shishi * handle, Shishi_asn1 ticket, Shishi_asn1 enckdcreppart, Shishi_asn1 kdcrep);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 ticket
    input variable with ticket.

Shishi_asn1 enckdcreppart
    input variable with auxiliary ticket information.

Shishi_asn1 kdcrep
    input variable with KDC-REP ticket information.

DESCRIPTION
Create a new ticket handle.

RETURN VALUE
Returns new ticket handle, or NULL on error.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.